{"openapi":"3.0.3","info":{"title":"Register with a GP Surgery API","description":"# Overview\nUse this API to access registration applications using the [Register with a GP Surgery Service](https://digital.nhs.uk/services/register-with-a-gp-surgery-service).\n\nThis API provides:\n- operational parameters\n- a set of codeable observations\n- questionnaire response\nrelating to a patients registration request.\n\nYou can use this API to:\n- retrieve a registration application\n\nYou cannot use this API to:\n- submit a new Registration Application\n\nNHS England (internal use only) will use this API to:\n- submit a new Registration Application\n\nClick [here](https://digital.nhs.uk/developer/api-catalogue/register-with-a-gp-surgery/register-with-a-gp-surgery-questionnaire) to access the standardised Register with a GP Surgery questionnaire.\n\n# Who can use this API\nThis API is only for use by GP Practices or GP Practice system suppliers with a valid ODS code.\n\n# Related APIs\nThe following APIs are related to this API:\n- [Personal Demographics Service - FHIR API](https://digital.nhs.uk/developer/api-catalogue/personal-demographics-service-fhir#overview--who-can-use-this-api) - use this to get patients' personal information such as name, address, date of birth, related people, registered GP, nominated pharmacy and NHS number\n\n# API status and roadmap\nThis access mode is [in production (beta)](https://digital.nhs.uk/developer/guides-and-documentation/reference-guide#statuses). The API is available for testing via a sandbox service or an integration environment - we might make breaking changes in these environments, but only if we cannot avoid it.\n\n# Service level\nThis API is a Silver service, meaning it is operational 24 hours a day, 365 days a year and supported 8am to 6pm, Monday to Friday excluding bank holidays\n\nFor more details, see [service levels](https://digital.nhs.uk/developer/guides-and-documentation/reference-guide#service-levels).\n\n# Rate limits\n\nThe default rate limit is 5TPS (Transactions Per Second), per app. If you require a higher rate limit please contact us or raise this during the onboarding process.\n\nIt is a requirement that transactions are processed in real time e.g. requests are not batched.\n\n# Technology\nThis API adheres to the [RESTful architecture style](https://digital.nhs.uk/developer/guides-and-documentation/our-api-technologies#basic-rest), a standardized approach to building web services. It conforms with the FHIR global standard for exchanging healthcare data, specifically [FHIR R4 (v4.0.1)](https://hl7.org/fhir/r4/), with the exception of lacking support for the capabilities interaction.\n\nThe API incorporates certain FHIR extensions specific to particular countries, in this case, conforming to [FHIR UK Core standards](https://digital.nhs.uk/services/fhir-uk-core), specifically [fhir.r4.ukcore.stu1 0.5.1](https://simplifier.net/packages/fhir.r4.ukcore.stu1/0.5.1).\n\nIt's worth noting that familiarity with FHIR isn't necessary to utilize this API, as FHIR APIs essentially function as RESTful APIs with defined guidelines. For instance:\n\n- resource names are singular and capitalized (e.g., /Endpoint not /endpoints)\n\nRegarding error handling, the API follows [NHS guidelines](https://nhsconnect.github.io/FHIR-SpineCore/resources_error_handling.html). Examples illustrating error handling are provided in the Error section below.\n\n# Network access\n\nThis API is available on the internet and, indirectly, on the [Health and Social Care Network (HSCN)](https://digital.nhs.uk/services/health-and-social-care-network).\n\nFor more details see [Network access for APIs](https://digital.nhs.uk/developer/guides-and-documentation/network-access-for-apis).\n\n# Security and authorisation\n\nThis API has endpoints that are both:\n- [application-restricted](https://digital.nhs.uk/developer/guides-and-documentation/security-and-authorisation#application-restricted-apis), meaning we authenticate the calling application but not the end user.\n- [user-restricted](https://digital.nhs.uk/developer/guides-and-documentation/security-and-authorisation#user-restricted-apis), specifically 'Healthcare worker access mode' meaning we authenticate the end user is a healthcare worker via CIS2.\n\nThe endpoints are mapped as follows:\n| Endpoint                      | Security Pattern       |\n| ----------------------------- | ---------------------- |\n| Get notifications data        | Application Restricted |\n| Get registration details      | Application Restricted |\n| Get registrations by ODS code | User Restricted (CIS2) |\n| Post registration details     | Application Restricted |\n| Update registration status    | User Restricted (CIS2) |\n\nTo use this API, use the related security pattern:\n- [Application-restricted RESTful APIs - Signed JWT authentication](https://digital.nhs.uk/developer/guides-and-documentation/security-and-authorisation/application-restricted-restful-apis-signed-jwt-authentication)\n- [User-restricted RESTful APIs - CIS2 separate authentication and authorisation](https://digital.nhs.uk/developer/guides-and-documentation/security-and-authorisation/user-restricted-restful-apis-cis2-separate-authentication-and-authorisation)\n\n## Environments and testing\n\n| Environment       | Base URL                                                           |\n| ----------------- | ------------------------------------------------------------------ |\n| Sandbox           | `https://sandbox.api.service.nhs.uk/register-with-a-gp-surgery`    |\n| Integration tests | `https://int.api.service.nhs.uk/register-with-a-gp-surgery`        |\n| Production        | `https://api.service.nhs.uk/register-with-a-gp-surgery`            |\n\n### Sandbox testing\nOur [sandbox environment](https://digital.nhs.uk/developer/guides-and-documentation/testing#sandbox-testing):\n* is for early developer testing\n* only covers a limited set of scenarios\n* is stateless, so does not actually persist any updates\n* is open access, so does not allow you to test authorization\n\nFor details of sandbox test scenarios, or to try out the sandbox using our 'Try this API' feature, see the documentation for each endpoint.\n\nAlternatively, you can try out the sandbox using our Postman collection (simply download the file from the link and import it into Postman):\n\n\n[![Run in Postman](https://run.pstmn.io/button.svg)](https://github.com/NHSDigital/gp-registration-api/blob/main/oas/sandbox/postman/Register_with_a_GP_Surgery_Sandbox.postman_collection.json)\n\n# Errors\n\nWe use standard HTTP status codes to show whether an API request succeeded or not. They are usually in the range:\n\n- 200 to 299 if it succeeded, including code 202 if it was accepted by an API that needs to wait for further action\n- 400 to 499 if it failed because of a client error by your application\n- 500 to 599 if it failed because of an error on our server","version":"1.0.0"},"servers":[{"url":"https://sandbox.api.service.nhs.uk/register-with-a-gp-surgery","description":"Sandbox environment"},{"url":"https://internal-dev.api.service.nhs.uk/register-with-a-gp-surgery","description":"Internal Dev environment"}],"paths":{"/applications/{Id}":{"get":{"summary":"Get registration details","parameters":[{"$ref":"#/components/parameters/id"},{"$ref":"#/components/parameters/authorization"},{"$ref":"#/components/parameters/version"},{"$ref":"#/components/parameters/parameters_x-correlation-id"},{"$ref":"#/components/parameters/parameters_x-request-id"}],"responses":{"200":{"$ref":"#/components/responses/get_200"},"400":{"$ref":"#/components/responses/get_400"},"401":{"$ref":"#/components/responses/get_401"},"404":{"$ref":"#/components/responses/get_404"},"429":{"$ref":"#/components/responses/get_429"},"500":{"$ref":"#/components/responses/get_500"}},"deprecated":false,"security":[{"app-level3":[]}]},"post":{"summary":"Update registration status","parameters":[{"$ref":"#/components/parameters/id"},{"$ref":"#/components/parameters/authorization"},{"$ref":"#/components/parameters/version"},{"$ref":"#/components/parameters/parameters_x-correlation-id"},{"$ref":"#/components/parameters/parameters_x-request-id"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/postParameters"},"examples":{"accepted":{"$ref":"#/components/examples/accepted"},"rejected":{"$ref":"#/components/examples/rejected"}}}},"required":true},"responses":{"200":{"$ref":"#/components/responses/post_200"},"400":{"$ref":"#/components/responses/post_status_400"},"401":{"$ref":"#/components/responses/get_401"},"404":{"$ref":"#/components/responses/get_404"},"409":{"$ref":"#/components/responses/post_409"},"500":{"$ref":"#/components/responses/get_500"}},"deprecated":false,"security":[{"nhs-cis2-aal3":[]}]}},"/applications":{"get":{"summary":"Get registrations by ODS code","parameters":[{"$ref":"#/components/parameters/ods-code"},{"$ref":"#/components/parameters/status"},{"$ref":"#/components/parameters/authorization"},{"$ref":"#/components/parameters/version"},{"$ref":"#/components/parameters/parameters_x-correlation-id"},{"$ref":"#/components/parameters/parameters_x-request-id"}],"responses":{"200":{"$ref":"#/components/responses/get_registrations_200"},"400":{"$ref":"#/components/responses/get_400"},"401":{"$ref":"#/components/responses/get_401"},"500":{"$ref":"#/components/responses/get_500"}},"deprecated":false,"security":[{"nhs-cis2-aal3":[]}]},"post":{"summary":"Post registration details","parameters":[{"$ref":"#/components/parameters/authorization"},{"$ref":"#/components/parameters/version"},{"$ref":"#/components/parameters/parameters_x-correlation-id"},{"$ref":"#/components/parameters/parameters_x-request-id"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/bundle"},"examples":{"withObservations":{"$ref":"#/components/examples/with-observations"},"withoutObservations":{"$ref":"#/components/examples/without-observations"}}}},"required":true},"responses":{"201":{"$ref":"#/components/responses/post_201"},"400":{"$ref":"#/components/responses/post_400"},"401":{"$ref":"#/components/responses/post_401"},"404":{"$ref":"#/components/responses/post_404"},"429":{"$ref":"#/components/responses/post_429"},"500":{"$ref":"#/components/responses/post_500"}},"deprecated":false,"security":[{"app-level3":[]}]}},"/notifications-data":{"get":{"summary":"Get notifications data","parameters":[{"$ref":"#/components/parameters/authorization"},{"$ref":"#/components/parameters/version"},{"$ref":"#/components/parameters/parameters_x-correlation-id"},{"$ref":"#/components/parameters/parameters_x-request-id"}],"responses":{"200":{"$ref":"#/components/responses/get_notifications_data_200"},"400":{"$ref":"#/components/responses/reduced_get_400"},"401":{"$ref":"#/components/responses/get_401"},"500":{"$ref":"#/components/responses/get_500"}},"deprecated":false,"security":[{"app-level3":[]}]}}},"components":{"schemas":{"nhsNumber":{"title":"nhsNumber","required":["name","valueString"],"type":"object","properties":{"name":{"enum":["nhsNumber"],"type":"string"},"valueString":{"pattern":"^\\d{10}$","type":"string","example":"4857773456"}},"description":"The patient's NHS number. The primary identifier of a patient, unique within NHS England and Wales. Always 10 digits and must be a valid NHS number."},"odsCode":{"title":"odsCode","required":["name","valueString"],"type":"object","properties":{"name":{"enum":["odsCode"],"type":"string"},"valueString":{"type":"string","example":"Y12345"}},"description":"The ODS Code of the requested GP Practice."},"branchOdsCode":{"title":"branchOdsCode","required":["name","valueString"],"type":"object","properties":{"name":{"enum":["branchOdsCode"],"type":"string"},"valueString":{"type":"string","example":"Y12345001"}},"description":"The ODS Code of the requested GP Practice branch. Only provided if citizen registered to a branch ODS Code. When provided the odsCode parameter contains the parent ODS Code.\n"},"registrationEncounterCode":{"title":"registrationEncounterCode","required":["name","valueString"],"type":"object","properties":{"name":{"enum":["registrationEncounterCode"],"type":"string"},"valueString":{"enum":["1","2","3","4","5"],"type":"string","example":"3"}},"description":"Numeric code that represents the type of GP registration that occurred.\nThe permitted codes are as follows:\n| Code | Type               | Description                                                                                                                                                                                                               |\n| ---- | ------------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |\n| 1    |  Birth             | At the time of registration, if the patient has been born in the last year then it is counted as such.                                                                                                                    |\n| 2    |  First Acceptance  | Very rare scenario - patient is a UK National and has never previously been registered with an NHS GP Practice.                                                                                                           |\n| 3    |  Transfer In       | Accounts for the vast majority of registrations - a patient registers with a new GP Practice.                                                                                                                             |\n| 4    |  Immigrant         | A patient has moved to the UK and registers with a GP Practice .                                                                                                                                                          |\n| 5    |  Ex-services       | A patient registers with a GP Practice having previously served in the armed forces. A deprecated type, [PCRM](https://digital.nhs.uk/services/primary-care-registration-management) processes these as type 3 transfers. |\n"},"applicationReferenceNumber":{"title":"applicationReferenceNumber","required":["name","valueString"],"type":"object","properties":{"name":{"enum":["applicationReferenceNumber"],"type":"string"},"valueString":{"type":"string","example":"A12345-000001"}},"description":"Application reference number"},"timestamp":{"title":"timestamp","required":["name","valueDateTime"],"type":"object","properties":{"name":{"enum":["timestamp"],"type":"string"},"valueDateTime":{"type":"string","format":"date-time"}},"description":"Timestamp of latest update to the registration."},"status":{"title":"status","required":["name","valueString"],"type":"object","properties":{"name":{"enum":["status"],"type":"string"},"valueString":{"enum":["Accepted","Auto-accepted","Pending","Rejected","Retrieved","Submitted","Superseded"],"type":"string","example":"Submitted"}},"description":"The status of the registration request. Possible statuses:\n- Accepted\n- Auto-accepted\n- Pending\n- Rejected\n- Retrieved\n- Submitted\n- Superseded\n"},"provenance":{"title":"provenance","required":["name","valueString"],"type":"object","properties":{"name":{"enum":["provenance"],"type":"string"},"valueString":{"enum":["Patient"],"type":"string","example":"Patient"}},"description":"The provenance of the registration request.\n"},"groupSessionId":{"title":"groupSessionId","required":["name","valueString"],"type":"object","properties":{"name":{"enum":["groupSessionId"],"type":"string"},"valueString":{"type":"string","example":"11C46F5F-CDEF-4865-94B2-0EE0EDCC26DA"}},"description":"Correlation ID to group registration requests by user session.\n"},"questionnaireVersion":{"title":"questionnaireVersion","required":["name","valueString"],"type":"object","properties":{"name":{"enum":["questionnaireVersion"],"type":"string"},"valueString":{"type":"string","example":"v1"}},"description":"Questionnaire version"},"previousAddress":{"title":"previousAddress","required":["name","valueAddress"],"type":"object","properties":{"name":{"enum":["previousAddress"],"type":"string"},"valueAddress":{"type":"object","properties":{"use":{"enum":["old"],"type":"string","description":"The purpose of this address."},"text":{"type":"string","description":"A full text representation of the address."},"line":{"type":"array","items":{"type":"string"},"description":"All lines of the address except the postal code."},"postalCode":{"type":"string","description":"Postal code of the address."},"state":{"enum":["England","Wales","Scotland","Northern Ireland"],"type":"string","description":"Sub-unit of country if country is UK. Omitted if country is Isle of Man."},"country":{"enum":["UK","Isle of Man"],"type":"string","description":"Country"}},"description":"The patients previous UK address."}}},"previousSurname":{"title":"previousSurname","required":["name","valueString"],"type":"object","properties":{"name":{"enum":["previousSurname"],"type":"string"},"valueString":{"type":"string"}},"description":"The patient's previous surname."},"previousGpName":{"title":"previousGpName","required":["name","valueString"],"type":"object","properties":{"name":{"enum":["previousGpName"],"type":"string"},"valueString":{"type":"string"}},"description":"The patient's previous GP practice name."},"inCatchment":{"title":"inCatchment","required":["name","valueBoolean"],"type":"object","properties":{"name":{"enum":["inCatchment"],"type":"string"},"valueBoolean":{"type":"boolean"}},"description":"Indicates whether the patient is located within the general practitioner's designated catchment area. A value of 'true' means the patient is within the catchment area, while 'false' denotes they are outside of it."},"ukEntryDate":{"title":"ukEntryDate","required":["name","valueString"],"type":"object","properties":{"name":{"enum":["ukEntryDate"],"type":"string"},"valueString":{"type":"string"}},"description":"Used within the GP Links message for type 4 registration encounter codes."},"dispensingPatient":{"title":"dispensingPatient","required":["name","valueBoolean"],"type":"object","properties":{"name":{"enum":["dispensingPatient"],"type":"string"},"valueBoolean":{"type":"boolean"}},"description":"Used to set within the local system if the patient is a dispensing patient."},"residentialInstituteCode":{"title":"residentialInstituteCode","required":["name","valueString"],"type":"object","properties":{"name":{"enum":["residentialInstituteCode"],"type":"string"},"valueString":{"type":"string"}},"description":"Used within the GP Links message."},"outOfAreaScheme":{"title":"outOfAreaScheme","required":["name","valueBoolean"],"type":"object","properties":{"name":{"enum":["outOfAreaScheme"],"type":"string"},"valueBoolean":{"type":"boolean"}},"description":"To align with the Out-of-area registrations and patient choice scheme."},"parameter":{"type":"object","anyOf":[{"$ref":"#/components/schemas/nhsNumber"},{"$ref":"#/components/schemas/odsCode"},{"$ref":"#/components/schemas/branchOdsCode"},{"$ref":"#/components/schemas/registrationEncounterCode"},{"$ref":"#/components/schemas/applicationReferenceNumber"},{"$ref":"#/components/schemas/timestamp"},{"$ref":"#/components/schemas/status"},{"$ref":"#/components/schemas/provenance"},{"$ref":"#/components/schemas/groupSessionId"},{"$ref":"#/components/schemas/questionnaireVersion"},{"$ref":"#/components/schemas/previousAddress"},{"$ref":"#/components/schemas/previousSurname"},{"$ref":"#/components/schemas/previousGpName"},{"$ref":"#/components/schemas/inCatchment"},{"$ref":"#/components/schemas/ukEntryDate"},{"$ref":"#/components/schemas/dispensingPatient"},{"$ref":"#/components/schemas/residentialInstituteCode"},{"$ref":"#/components/schemas/outOfAreaScheme"}],"description":"A parameter must have one and only one of (value, resource, part)"},"parameters":{"title":"Parameters","required":["fullUrl","resource"],"type":"object","properties":{"fullUrl":{"type":"string","example":"urn:uuid:c6ca3f0a-2470-407d-b0f4-c3dc70ab153b"},"resource":{"required":["resourceType","parameters"],"type":"object","properties":{"resourceType":{"type":"string","description":"FHIR Resource Type.","default":"Parameters","example":"Parameters"},"id":{"type":"string","format":"uri"},"parameter":{"type":"array","items":{"$ref":"#/components/schemas/parameter"},"description":"Parameters array will include:\n\n| Parameter                   | Cardinality |\n| --------------------------- | ----------- |\n|  nhsNumber                  | 1...1       |\n|  odsCode                    | 1...1       |\n|  branchOdsCode              | 0...1       |\n|  registrationEncounterCode  | 1...1       |\n|  applicationReferenceNumber | 1...1       |\n|  timestamp                  | 1...1       |\n|  status                     | 1...1       |\n|  provenance                 | 0...1       |\n|  groupSessionId             | 0...1       |\n|  questionnaireVersion       | 0...1       |\n|  previousAddress            | 0...1       |\n|  previousGpName             | 0...1       |\n|  previousSurname            | 0...1       |\n|  inCatchment                | 0...1       |\n|  ukEntryDate                | 0...1       |\n|  dispensingPatient          | 0...1       |\n|  residentialInstituteCode   | 0...1       |\n|  outOfAreaScheme            | 0...1       |\n"}}},"request":{"type":"object","properties":{"method":{"type":"string"},"url":{"type":"string"}}}},"description":"https://hl7.org/fhir/R4/parameters.html"},"valueCode":{"title":"valueCode","type":"string","description":"https://hl7.org/fhir/R4/datatypes.html#code"},"valueCoding":{"title":"valueCoding","type":"object","properties":{"system":{"type":"string","description":"Identity of the terminology system","format":"uri"},"version":{"type":"string","description":"Version of the system - if relevant"},"code":{"$ref":"#/components/schemas/valueCode"},"display":{"type":"string","description":"Representation defined by the system"},"userSelected":{"type":"boolean","description":"If this coding was chosen directly by the user"}},"description":"https://www.hl7.org/fhir/R4/datatypes.html#Coding","example":[{"coding":[{"system":"http://snomed.info/sct"},{"code":"1162419008"},{"display":"Self reported body height (observable entity)"}]}]},"valueCodeableConcept":{"title":"valueCodeableConcept","type":"object","properties":{"coding":{"type":"array","items":{"$ref":"#/components/schemas/valueCoding"}},"text":{"type":"string","description":"Plain text representation of the concept"}},"description":"https://www.hl7.org/fhir/R4/datatypes.html#CodeableConcept"},"valueQuantity":{"title":"valueQuantity","type":"object","properties":{"value":{"type":"number","description":"Numerical value (with implicit precision)"},"comparator":{"enum":["<","<=",">=",">"],"type":"string","description":"< | <= | >= | > | ad - how to understand the value"},"unit":{"type":"string","description":"Unit representation"},"system":{"type":"string","format":"uri"},"code":{"$ref":"#/components/schemas/valueCode"}},"description":"https://www.hl7.org/fhir/R4/datatypes.html#Quantity"},"valueString":{"title":"valueString","type":"string","description":"https://www.hl7.org/fhir/R4/datatypes.html#string"},"valueBoolean":{"title":"valueBoolean","type":"boolean","description":"https://www.hl7.org/fhir/R4/datatypes.html#boolean"},"valueInteger":{"title":"valueInteger","type":"integer","description":"https://www.hl7.org/fhir/R4/datatypes.html#integer"},"valueRange":{"title":"valueRange","type":"object","properties":{"low":{"$ref":"#/components/schemas/valueQuantity","description":"Low limit"},"high":{"$ref":"#/components/schemas/valueQuantity","description":"High limit"}},"description":"https://www.hl7.org/fhir/R4/datatypes.html#Range"},"valueSimpleQuantity":{"title":"valueQuantity","type":"object","properties":{"value":{"type":"number","description":"Numerical value (with implicit precision)"},"unit":{"type":"string","description":"Unit representation"},"system":{"type":"string","format":"uri"},"code":{"$ref":"#/components/schemas/valueCode"}},"description":"https://www.hl7.org/fhir/R4/datatypes.html#SimpleQuantity"},"valueRatio":{"title":"valueRatio","type":"object","properties":{"numerator":{"$ref":"#/components/schemas/valueQuantity","description":"Numerator value"},"denominator":{"$ref":"#/components/schemas/valueSimpleQuantity","description":"Denominator value"}},"description":"https://www.hl7.org/fhir/R4/datatypes.html#Ratio"},"valueSampledData":{"title":"valueSampledData","type":"object","description":"https://www.hl7.org/fhir/R4/datatypes.html#SampledData"},"valueTime":{"title":"valueTime","type":"string","description":"https://www.hl7.org/fhir/R4/datatypes.html#time","format":"time"},"valueDateTime":{"title":"valueDateTime","type":"string","description":"https://www.hl7.org/fhir/R4/datatypes.html#dateTime","format":"date-time"},"valuePeriod":{"title":"valuePeriod","type":"object","properties":{"start":{"$ref":"#/components/schemas/valueDateTime","description":"Starting time with inclusive boundary"},"end":{"$ref":"#/components/schemas/valueDateTime","description":"End time with inclusive boundary, if not ongoing"}},"description":"https://www.hl7.org/fhir/R4/datatypes.html#Period"},"observation":{"title":"Observation","required":["fullUrl","resource"],"type":"object","properties":{"fullUrl":{"type":"string","example":"urn:uuid:c6ca3f0a-2470-407d-b0f4-c3dc70ab153b"},"resource":{"required":["resourceType","status","code"],"type":"object","properties":{"resourceType":{"type":"string","description":"FHIR Resource Type.","default":"Observation","example":"Observation"},"status":{"type":"string","default":"final","example":"final"},"code":{"$ref":"#/components/schemas/valueCodeableConcept"},"subject":{"type":"object","properties":{"reference":{"type":"string"}},"description":"Who and/or what the observation is about."},"effectiveDateTime":{"type":"string","format":"date-time"},"issued":{"type":"string","format":"date-time"},"value[x]":{"oneOf":[{"$ref":"#/components/schemas/valueQuantity"},{"$ref":"#/components/schemas/valueCodeableConcept"},{"$ref":"#/components/schemas/valueString"},{"$ref":"#/components/schemas/valueBoolean"},{"$ref":"#/components/schemas/valueInteger"},{"$ref":"#/components/schemas/valueRange"},{"$ref":"#/components/schemas/valueRatio"},{"$ref":"#/components/schemas/valueSampledData"},{"$ref":"#/components/schemas/valueTime"},{"$ref":"#/components/schemas/valueDateTime"},{"$ref":"#/components/schemas/valuePeriod"}]}}},"request":{"type":"object","properties":{"method":{"type":"string"},"url":{"type":"string"}}}},"description":"https://www.hl7.org/fhir/R4/observation.html","example":{"fullUrl":"urn:uuid:93c86ad6-4a05-4033-8bb6-cc648c008b15","resource":{"resourceType":"Observation","status":"final","code":{"coding":{"system":"http://snomed.info/sct","code":"1162419008","display":"Self reported body height (observable entity)"}},"effectiveDateTime":"2024-07-26T15:12:34.234Z","issued":"2024-07-26T15:12:34.234Z","valueQuantity":{"value":183,"unit":"centimeters"}}}},"valueDecimal":{"title":"valueDecimal","type":"number","description":"https://www.hl7.org/fhir/R4/datatypes.html#decimal"},"valueDate":{"title":"valueDate","type":"string","description":"https://www.hl7.org/fhir/R4/datatypes.html#date","format":"date"},"valueUri":{"title":"valueUri","type":"string","description":"https://www.hl7.org/fhir/R4/datatypes.html#uri","format":"uri"},"questionnaireResponseItem":{"type":"object","properties":{"linkId":{"type":"string","description":"The item from the Questionnaire that corresponds to this item in the QuestionnaireResponse resource.\n\nItem cannot contain both item and answer.\n","example":"5564099927552"},"text":{"type":"string","description":"Question patient was asked.\n- https://www.hl7.org/fhir/R4/questionnaireresponse-definitions.html#QuestionnaireResponse.item.text\n"},"answer":{"type":"array","items":{"type":"object","properties":{"value[x]":{"oneOf":[{"$ref":"#/components/schemas/valueBoolean"},{"$ref":"#/components/schemas/valueDecimal"},{"$ref":"#/components/schemas/valueInteger"},{"$ref":"#/components/schemas/valueDate"},{"$ref":"#/components/schemas/valueDateTime"},{"$ref":"#/components/schemas/valueTime"},{"$ref":"#/components/schemas/valueString"},{"$ref":"#/components/schemas/valueUri"},{"$ref":"#/components/schemas/valueCoding"},{"$ref":"#/components/schemas/valueSimpleQuantity"}],"description":"Single-valued answer to the question. https://www.hl7.org/fhir/R4/questionnaireresponse-definitions.html#QuestionnaireResponse.item.answer.value_x_"},"item":{"type":"array","items":{"$ref":"#/components/schemas/questionnaireResponseItem"}}}},"description":"Patient response(s) to question.\n- https://www.hl7.org/fhir/R4/questionnaireresponse-definitions.html#QuestionnaireResponse.item.answer\n\nItem cannot contain both item and answer.\n"},"item":{"type":"array","items":{"$ref":"#/components/schemas/questionnaireResponseItem"}}}},"questionnaireResponse":{"title":"QuestionnaireResponse","required":["fullUrl","resource"],"type":"object","properties":{"fullUrl":{"type":"string","example":"urn:uuid:c6ca3f0a-2470-407d-b0f4-c3dc70ab153b"},"resource":{"type":"object","properties":{"resourceType":{"type":"string","description":"FHIR Resource Type.","default":"QuestionnaireResponse","example":"QuestionnaireResponse"},"meta":{"type":"object","properties":{"profile":{"type":"array","items":{"type":"string","example":"http://hl7.org/fhir/uv/sdc/StructureDefinition/sdc-questionnaireresponse|2.7"}},"tag":{"type":"array","items":{"type":"object","properties":{"code":{"type":"string","example":"lformsVersion: 33.3.4"}}}}},"description":"Metadata about a resource."},"status":{"type":"string","description":"The current state of the questionnaire response.","example":"completed"},"authored":{"$ref":"#/components/schemas/valueDateTime","description":"The date and/or time that this questionnaire response was last modified by the user - e.g. changing answers or revising status."},"item":{"type":"array","items":{"$ref":"#/components/schemas/questionnaireResponseItem"},"description":"A group or question item from the original questionnaire for which answers are provided."}}},"request":{"type":"object","properties":{"method":{"type":"string"},"url":{"type":"string"}}}},"description":"https://www.hl7.org/fhir/R4/questionnaireresponse.html"},"attachment":{"type":"object","properties":{"contentType":{"enum":["application/pdf"],"type":"string","default":"application/pdf","example":"application/pdf"},"url":{"type":"string","description":"Uri where the data can be found","format":"uri"},"data":{"type":"string","description":"Data inline, base64ed","format":"base64ed"}},"description":"https://hl7.org/fhir/R4/datatypes.html#Attachment"},"documentReference":{"title":"DocumentReference","required":["fullUrl","resource"],"type":"object","properties":{"fullUrl":{"type":"string","example":"urn:uuid:c6ca3f0a-2470-407d-b0f4-c3dc70ab153b"},"resource":{"required":["resourceType","status","content"],"type":"object","properties":{"resourceType":{"type":"string","description":"FHIR Resource Type.","default":"DocumentReference","example":"DocumentReference"},"status":{"enum":["current"],"type":"string","default":"current","example":"current"},"content":{"type":"array","items":{"required":["attachment"],"type":"object","properties":{"attachment":{"$ref":"#/components/schemas/attachment"}}},"description":"Document referenced"}}},"request":{"type":"object","properties":{"method":{"type":"string"},"url":{"type":"string"}}}},"description":"https://hl7.org/fhir/R4/documentreference.html"},"bundle":{"required":["resourceType","type","entry"],"type":"object","properties":{"resourceType":{"type":"string","description":"FHIR Resource Type.","default":"Bundle","example":"Bundle"},"type":{"type":"string","default":"Transaction","example":"Transaction"},"entry":{"type":"array","items":{"anyOf":[{"$ref":"#/components/schemas/parameters"},{"$ref":"#/components/schemas/observation"},{"$ref":"#/components/schemas/questionnaireResponse"},{"$ref":"#/components/schemas/documentReference"}]},"description":"Array containing all resources.\n\n| Type                    | Cardinality | Description                                                                                                                                                                                                                    |\n| ----------------------- | ----------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |\n|  Parameters             | 1...1       | Set of operation Parameters. See type descriptions.                                                                                                                                                                            |\n|  Observations           | 0...*       | The set of Observations included is dynamic based on the question set and the questions answered by patient. Consumers can utilise the provided Observations programmatically but should not expect them to always be present. |\n|  QuestionnaireResponse  | 0...1       | QuestionnaireResponse provides a complete or partial list of answers to a set of questions filled when responding to the Register with a GP surgery questionnaire.                                                             |\n|  DocumentReference      | 0...1       | Encoded PDF including a complete or partial list of answers to a set of questions filled when responding to the Register with a GP surgery questionnaire.                                                                      |\n"}}},"error":{"type":"object","properties":{"resourceType":{"type":"string","description":"FHIR Resource Type.","default":"OperationOutcome","example":"OperationOutcome"},"issue":{"minItems":1,"type":"array","items":{"required":["severity","code"],"type":"object","properties":{"severity":{"enum":["fatal","error","warning","information"],"type":"string","description":"Severity of the error."},"code":{"enum":["invalid","structure","required","value","invariant","security","login","unknown","expired","forbidden","suppressed","processing","not-supported","duplicate","multiple-matches","not-found","deleted","too-long","code-invalid","extension","too-costly","business-rule","conflict","transient","lock-error","no-store","exception","timeout","incomplete","throttled","informational"],"type":"string","description":"FHIR error code."},"details":{"type":"object","properties":{"coding":{"type":"array","items":{"$ref":"#/components/schemas/valueCoding"}}},"description":"Internal error code."},"diagnostics":{"type":"string","description":"Additional diagnostic information about the issue. This information is subject to change."},"expression":{"type":"string","description":"FHIRPath of element(s) related to the error."}}},"description":"List of issues that have occurred."}},"description":"https://hl7.org/fhir/R4/operationoutcome.html"},"type":{"required":["name","valueString"],"type":"object","properties":{"name":{"type":"string","default":"type"},"valueCode":{"enum":["add","insert","delete","replace","move"],"type":"string"}}},"path":{"required":["name","valueString"],"type":"object","properties":{"name":{"type":"string","default":"path"},"valueString":{"type":"string","default":"status"}}},"value":{"required":["name","valueString"],"type":"object","properties":{"name":{"type":"string","default":"value"},"valueCode":{"enum":["Accepted","Rejected"],"type":"string"}}},"postParameters":{"title":"postParameters","required":["resourceType","parameter"],"type":"object","properties":{"resourceType":{"type":"string","description":"FHIR Resource Type.","default":"Parameters"},"parameter":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string","description":"The POST operation, each operation has a minimum of one part, but may have multiple parts","default":"operation"},"part":{"type":"array","items":{"type":"object","properties":{"type":{"$ref":"#/components/schemas/type"},"path":{"$ref":"#/components/schemas/path"},"value":{"$ref":"#/components/schemas/value"}}},"description":"A Part array will include:\n\n| Parameter    | Cardinality | Description                                          |\n| -------------| ----------- |------------------------------------------------------|\n|  type        | 1...1       | FHIRPath operation which is to be performed          |\n|  path        | 1...1       | The path to the resourceType                         |\n|  value       | 0...1       | The new value (if add, insert or replace)            |\n"}},"description":"An item within the array will include:\n\n| Parameter                   | Cardinality |\n| --------------------------- | ----------- |\n|  name                       | 1...1       |\n|  part                       | 1...1       |\n"},"description":"An array of one or more parameters.\n"}},"description":"https://hl7.org/fhir/R4/parameters.html"},"bundles":{"required":["resourceType","type","total","link","entry"],"type":"object","properties":{"resourceType":{"type":"string","description":"FHIR Resource Type.","default":"Bundle","example":"Bundle"},"type":{"type":"string","default":"Searchset","example":"Searchset"},"total":{"type":"string","example":3},"link":{"required":["relation","url"],"type":"array","properties":{"relation":{"type":"string","example":"self"},"url":{"type":"string","example":"http://api/applications?ods_code=Y12345"},"extension":{"type":"array","items":{"anyOf":[{"required":["url","valueInteger"],"type":"object","properties":{"url":{"type":"string","example":"http://example.org/fhir/extension/accepted-count"},"valueInteger":{"type":"integer","example":1}}}]}}}},"entry":{"type":"array","items":{"anyOf":[{"required":["resourceType","type","identifier","search","entry"],"type":"object","properties":{"resourceType":{"type":"string","description":"FHIR Resource Type.","default":"Bundle","example":"Bundle"},"type":{"type":"string","default":"Transaction","example":"Transaction"},"identifier":{"required":["system","value"],"type":"object","properties":{"system":{"type":"string","example":"urn:ietf:rfc:3986"},"value":{"type":"string","example":"urn:uuid:ab8ad827-5dd8-4343-9274-403460625afc"}},"description":"Unique registration identifier"},"search":{"required":["mode"],"type":"object","properties":{"mode":{"enum":["match","include","outcome"],"type":"string","example":"match"}},"description":"Search entry mode"},"entry":{"type":"array","items":{"anyOf":[{"$ref":"#/components/schemas/parameters"},{"$ref":"#/components/schemas/observation"},{"$ref":"#/components/schemas/questionnaireResponse"},{"$ref":"#/components/schemas/documentReference"}]},"description":"Array containing all resources.\n\n| Type                    | Cardinality | Description                                                                                                                                                                                                                    |\n| ----------------------- | ----------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |\n|  Parameters             | 1...1       | Set of operation Parameters. See type descriptions.                                                                                                                                                                            |\n|  Observations           | 0...*       | The set of Observations included is dynamic based on the question set and the questions answered by patient. Consumers can utilise the provided Observations programmatically but should not expect them to always be present. |\n|  QuestionnaireResponse  | 0...1       | QuestionnaireResponse provides a complete or partial list of answers to a set of questions filled when responding to the Register with a GP surgery questionnaire.                                                             |\n|  DocumentReference      | 0...1       | Encoded PDF including a complete or partial list of answers to a set of questions filled when responding to the Register with a GP surgery questionnaire.                                                                      |\n"}}}]},"description":"Array containing zero or more bundles, each a registration.\n"}}},"created":{"type":"object","properties":{"id":{"type":"string","format":"uri","example":"11C46F5F-CDEF-4865-94B2-0EE0EDCC26DA"}}},"organization":{"title":"Organization","required":["fullUrl","resource"],"type":"object","properties":{"fullUrl":{"type":"string","format":"url","example":"https://fhir.nhs.uk/Id/ods-organization-code/A12345"},"resource":{"required":["resourceType","id","extension"],"type":"object","properties":{"resourceType":{"type":"string","description":"FHIR Resource Type.","default":"Organization","example":"Organization"},"id":{"type":"string","format":"uri","example":"A12345"},"extension":{"type":"array","items":{"required":["url","valueInteger"],"type":"object","properties":{"url":{"type":"string","example":"https://fhir/extension/pending-count"},"valueInteger":{"type":"integer","example":2}}},"description":"Array containing zero or more extensions.\n"}}}},"description":"https://hl7.org/fhir/R4/organization.html"},"organization_bundle":{"required":["resourceType","type","total","entry"],"type":"object","properties":{"resourceType":{"type":"string","description":"FHIR Resource Type.","default":"Bundle","example":"Bundle"},"type":{"type":"string","default":"Searchset","example":"Searchset"},"total":{"type":"string","example":3},"entry":{"type":"array","items":{"anyOf":[{"$ref":"#/components/schemas/organization"}]},"description":"Array containing zero or more organizations.\n"}}}},"responses":{"get_200":{"description":"The operation completed successfully as follows:\n\n| HTTP Status | Code                   | Description                                                                                  |\n|-------------|------------------------|--------------------------------------------------------------------------------------------- |\n| 200         | APPLICATION_EXISTS     | The Application has been submitted and is available to the requester.                        |\n| 209         | APPLICATION_SUPERSEDED | A new application has been submitted for this patient. No registration data will be returned.|\n","headers":{"X-Correlation-Id":{"name":"","in":"header","required":false,"deprecated":false,"allowEmptyValue":false,"explode":false,"allowReserved":false,"$ref":"#/components/headers/x-correlation-id"},"X-Request-Id":{"name":"","in":"header","required":false,"deprecated":false,"allowEmptyValue":false,"explode":false,"allowReserved":false,"$ref":"#/components/headers/x-request-id"}},"content":{"application/fhir+json":{"schema":{"$ref":"#/components/schemas/bundle"},"examples":{"withObservations":{"$ref":"#/components/examples/with-observations"},"withoutObservations":{"$ref":"#/components/examples/without-observations"},"applicationSuperseded":{"$ref":"#/components/examples/application-superseded"}}}}},"get_400":{"description":"An error occurred as follows:\n\n| HTTP Status | Error code             | Description                                                                                                                               |\n|-------------|------------------------|------------------------------------------------------------------------------------------------------------------------------------------ |\n| 400         | BAD_REQUEST_ID         | The ID provided in the path parameter is not in the valid format.                                                                         |\n| 400         | BAD_REQUEST_HEADER\t   | Header value is invalid.                                                                                                                  |","headers":{"X-Correlation-Id":{"name":"","in":"header","required":false,"deprecated":false,"allowEmptyValue":false,"explode":false,"allowReserved":false,"$ref":"#/components/headers/x-correlation-id"},"X-Request-Id":{"name":"","in":"header","required":false,"deprecated":false,"allowEmptyValue":false,"explode":false,"allowReserved":false,"$ref":"#/components/headers/x-request-id"}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"},"examples":{"Bad-Request-ID":{"summary":"Bad Request ID","value":{"resourceType":"OperationOutcome","issue":[{"severity":"Error","code":"Element Value Invalid","details":{"coding":[{"system":"https://build.fhir.org/operationoutcome.html","code":"BAD_REQUEST_ID","display":"The request ID is not in the valid UUID format."}]}}]}},"Bad-Request-Headers":{"summary":"Bad Request Header","value":{"resourceType":"OperationOutcome","issue":[{"severity":"Error","code":"Element Value Invalid","details":{"coding":[{"system":"https://build.fhir.org/operationoutcome.html","code":"BAD_REQUEST_HEADER","display":"The header value is invalid."}]}}]}}}}}},"get_401":{"description":"An error occurred as follows:\n\n| HTTP Status | Error code             | Description                                                                                                                               |\n|-------------|------------------------|------------------------------------------------------------------------------------------------------------------------------------------ |\n| 401         | UNAUTHORIZED           | Authentication failure occurred.                                                                                                          |","headers":{"X-Correlation-Id":{"name":"","in":"header","required":false,"deprecated":false,"allowEmptyValue":false,"explode":false,"allowReserved":false,"$ref":"#/components/headers/x-correlation-id"},"X-Request-Id":{"name":"","in":"header","required":false,"deprecated":false,"allowEmptyValue":false,"explode":false,"allowReserved":false,"$ref":"#/components/headers/x-request-id"}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"},"example":{"resourceType":"OperationOutcome","issue":[{"severity":"Error","code":"Security","details":{"coding":[{"system":"https://build.fhir.org/operationoutcome.html","code":"UNAUTHORIZED","display":"Authentication failure occurred."}]}}]}}}},"get_404":{"description":"An error occurred as follows:\n\n| HTTP Status | Error code             | Description                                                                                                                               |\n|-------------|------------------------|------------------------------------------------------------------------------------------------------------------------------------------ |\n| 404         | APPLICATION_NOT_FOUND          | This indicates that an Application does not exist, it may never have existed or it may have been deleted.                         |","headers":{"X-Correlation-Id":{"name":"","in":"header","required":false,"deprecated":false,"allowEmptyValue":false,"explode":false,"allowReserved":false,"$ref":"#/components/headers/x-correlation-id"},"X-Request-Id":{"name":"","in":"header","required":false,"deprecated":false,"allowEmptyValue":false,"explode":false,"allowReserved":false,"$ref":"#/components/headers/x-request-id"}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"},"example":{"resourceType":"OperationOutcome","issue":[{"severity":"Error","code":"Not Found","details":{"coding":[{"system":"https://build.fhir.org/operationoutcome.html","code":"APPLICATION_NOT_FOUND","display":"This indicates that an Application does not exist, it may never have existed or it may have been deleted."}]}}]}}}},"get_429":{"description":"An error occurred as follows:\n\n| HTTP Status | Error code             | Description                                                                                                                               |\n|-------------|------------------------|------------------------------------------------------------------------------------------------------------------------------------------ |\n| 429         | TOO_MANY_REQUESTS      | You have exceeded your application's [rate limit](https://digital.nhs.uk/developer/guides-and-documentation/reference-guide#rate-limits). |","headers":{"X-Correlation-Id":{"name":"","in":"header","required":false,"deprecated":false,"allowEmptyValue":false,"explode":false,"allowReserved":false,"$ref":"#/components/headers/x-correlation-id"},"X-Request-Id":{"name":"","in":"header","required":false,"deprecated":false,"allowEmptyValue":false,"explode":false,"allowReserved":false,"$ref":"#/components/headers/x-request-id"}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"},"example":{"resourceType":"OperationOutcome","issue":[{"severity":"Error","code":"Throttled","details":{"coding":[{"system":"https://build.fhir.org/operationoutcome.html","code":"TOO_MANY_REQUESTS","display":"You have exceeded your application's rate limit."}]}}]}}}},"get_500":{"description":"An error occurred as follows:\n\n| HTTP Status | Error code             | Description                        |\n|-------------|------------------------|----------------------------------- |\n| 500         | INTERNAL_SERVER_ERROR  | Unexpected internal server error.  |","headers":{"X-Correlation-Id":{"name":"","in":"header","required":false,"deprecated":false,"allowEmptyValue":false,"explode":false,"allowReserved":false,"$ref":"#/components/headers/x-correlation-id"},"X-Request-Id":{"name":"","in":"header","required":false,"deprecated":false,"allowEmptyValue":false,"explode":false,"allowReserved":false,"$ref":"#/components/headers/x-request-id"}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"},"example":{"resourceType":"OperationOutcome","issue":[{"severity":"Error","code":"Exception","details":{"coding":[{"system":"https://build.fhir.org/operationoutcome.html","code":"INTERNAL_SERVER_ERROR","display":"An unexpected internal error has occurred."}]},"diagnostics":"Any further internal debug details i.e. stack trace details etc."}]}}}},"post_200":{"description":"The operation completed successfully as follows:\n\n| HTTP Status | Code                        | Description                                                                                           |\n|-------------|-----------------------------|------------------------------------------------------------------------------------------------------ |\n| 200         | APPLICATION_UPDATED         | Registration status successfully updated.                                                             |\n","headers":{"X-Correlation-Id":{"name":"","in":"header","required":false,"deprecated":false,"allowEmptyValue":false,"explode":false,"allowReserved":false,"$ref":"#/components/headers/x-correlation-id"},"X-Request-Id":{"name":"","in":"header","required":false,"deprecated":false,"allowEmptyValue":false,"explode":false,"allowReserved":false,"$ref":"#/components/headers/x-request-id"}}},"post_status_400":{"description":"An error occurred as follows:\n\n| HTTP Status | Error code                     | Description                                                                                                                               |\n|-------------|--------------------------------|------------------------------------------------------------------------------------------------------------------------------------------ |\n| 400         | BAD_REQUEST_ID                 | The ID provided in the path parameter is not in the valid format.\n| 400         | BAD_REQUEST_HEADER             | Header value is invalid.                                                                                                                  |\n| 400         | BAD_REQUEST_BODY               | Request body is invalid.                                                                                                   |","headers":{"X-Correlation-Id":{"name":"","in":"header","required":false,"deprecated":false,"allowEmptyValue":false,"explode":false,"allowReserved":false,"$ref":"#/components/headers/x-correlation-id"},"X-Request-Id":{"name":"","in":"header","required":false,"deprecated":false,"allowEmptyValue":false,"explode":false,"allowReserved":false,"$ref":"#/components/headers/x-request-id"}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"},"examples":{"Bad-Request-ID":{"summary":"Bad Request ID","value":{"resourceType":"OperationOutcome","issue":[{"severity":"Error","code":"Element Value Invalid","details":{"coding":[{"system":"https://build.fhir.org/operationoutcome.html","code":"BAD_REQUEST_ID","display":"The request ID is not in the valid UUID format."}]}}]}},"Bad-Request-Headers":{"summary":"Bad Request Header","value":{"resourceType":"OperationOutcome","issue":[{"severity":"Error","code":"Element Value Invalid","details":{"coding":[{"system":"https://build.fhir.org/operationoutcome.html","code":"BAD_REQUEST_HEADER","display":"The header value is invalid."}]}}]}},"Bad-Request-Body":{"summary":"Bad Request Body","value":{"resourceType":"OperationOutcome","issue":[{"severity":"Error","code":"Request Body Invalid","details":{"coding":[{"system":"https://build.fhir.org/operationoutcome.html","code":"BAD_REQUEST_BODY","display":"The request body is invalid."}]}}]}}}}}},"post_409":{"description":"An error occurred as follows:\n\n| HTTP Status | Error code             | Description                                                                                                                               |\n|-------------|------------------------|------------------------------------------------------------------------------------------------------------------------------------------ |\n| 409         | APPLICATION_CONFLICT   | The status of this registration has previously been updated and cannot be updated again.                                                                                                          |","headers":{"X-Correlation-Id":{"name":"","in":"header","required":false,"deprecated":false,"allowEmptyValue":false,"explode":false,"allowReserved":false,"$ref":"#/components/headers/x-correlation-id"},"X-Request-Id":{"name":"","in":"header","required":false,"deprecated":false,"allowEmptyValue":false,"explode":false,"allowReserved":false,"$ref":"#/components/headers/x-request-id"}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"},"example":{"resourceType":"OperationOutcome","issue":[{"severity":"Error","code":"Conflict","details":{"coding":[{"system":"https://build.fhir.org/operationoutcome.html","code":"STATUS_CHANGE_CONFLICT","display":"The status of this registration cannot be updated."}]}}]}}}},"get_registrations_200":{"description":"The operation completed successfully as follows:\n| HTTP Status | Code                     | Description                                                                                    |\n|-------------|--------------------------|----------------------------------------------------------------------------------------------- |\n| 200         | REGISTRATIONS_RETRIEVED  | Registrations successfully retrieved. The list may be empty if no matching records were found. |\n","headers":{"X-Correlation-Id":{"name":"","in":"header","required":false,"deprecated":false,"allowEmptyValue":false,"explode":false,"allowReserved":false,"$ref":"#/components/headers/x-correlation-id"},"X-Request-Id":{"name":"","in":"header","required":false,"deprecated":false,"allowEmptyValue":false,"explode":false,"allowReserved":false,"$ref":"#/components/headers/x-request-id"}},"content":{"application/fhir+json":{"schema":{"$ref":"#/components/schemas/bundles"},"examples":{"oneRegistration":{"$ref":"#/components/examples/one-registration"},"multipleRegistrations":{"$ref":"#/components/examples/multiple-registrations"},"noRegistrations":{"$ref":"#/components/examples/no-registrations"},"multipleStates":{"$ref":"#/components/examples/multiple-states"}}}}},"post_201":{"description":"The operation completed successfully as follows:\n\n| HTTP Status | Code                   | Description                                                            |\n|-------------|------------------------|----------------------------------------------------------------------- |\n| 201         | APPLICATION_CREATED    | The Application has been created and is available to be retrieved.     |\n","headers":{"X-Correlation-Id":{"name":"","in":"header","required":false,"deprecated":false,"allowEmptyValue":false,"explode":false,"allowReserved":false,"$ref":"#/components/headers/x-correlation-id"},"X-Request-Id":{"name":"","in":"header","required":false,"deprecated":false,"allowEmptyValue":false,"explode":false,"allowReserved":false,"$ref":"#/components/headers/x-request-id"}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/created"}}}},"post_400":{"description":"An error occurred as follows:\n\n| HTTP Status | Error code                     | Description                                                                                                                               |\n|-------------|--------------------------------|------------------------------------------------------------------------------------------------------------------------------------------ |\n| 400         | BAD_REQUEST_HEADER             | Header value is invalid.                                                                                                                  |\n| 400         | BAD_REQUEST_BODY               | Request body is invalid. See details.                                                                                                     |","headers":{"X-Correlation-Id":{"name":"","in":"header","required":false,"deprecated":false,"allowEmptyValue":false,"explode":false,"allowReserved":false,"$ref":"#/components/headers/x-correlation-id"},"X-Request-Id":{"name":"","in":"header","required":false,"deprecated":false,"allowEmptyValue":false,"explode":false,"allowReserved":false,"$ref":"#/components/headers/x-request-id"}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"},"examples":{"Bad-Request-Headers":{"summary":"Bad Request Header","value":{"resourceType":"OperationOutcome","issue":[{"severity":"Error","code":"Element Value Invalid","details":{"coding":[{"system":"https://build.fhir.org/operationoutcome.html","code":"BAD_REQUEST_HEADER","display":"The header value is invalid."}]}}]}},"Bad-Request-Body":{"summary":"Bad Request Body","value":{"resourceType":"OperationOutcome","issue":[{"severity":"Error","code":"Request Body Invalid","details":{"coding":[{"system":"https://build.fhir.org/operationoutcome.html","code":"BAD_REQUEST_BODY","display":"The request body is invalid."}]}}]}}}}}},"post_401":{"description":"An error occurred as follows:\n\n| HTTP Status | Error code             | Description                                                                                                                               |\n|-------------|------------------------|------------------------------------------------------------------------------------------------------------------------------------------ |\n| 401         | UNAUTHORIZED           | Authentication failure occurred.                                                                                                          |","headers":{"X-Correlation-Id":{"name":"","in":"header","required":false,"deprecated":false,"allowEmptyValue":false,"explode":false,"allowReserved":false,"$ref":"#/components/headers/x-correlation-id"},"X-Request-Id":{"name":"","in":"header","required":false,"deprecated":false,"allowEmptyValue":false,"explode":false,"allowReserved":false,"$ref":"#/components/headers/x-request-id"}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"},"example":{"resourceType":"OperationOutcome","issue":[{"severity":"Error","code":"Security","details":{"coding":[{"system":"https://build.fhir.org/operationoutcome.html","code":"UNAUTHORIZED","display":"Authentication failure occurred."}]}}]}}}},"post_404":{"description":"An error occurred as follows:\n\n| HTTP Status | Error code             | Description                                                                                                                               |\n|-------------|------------------------|------------------------------------------------------------------------------------------------------------------------------------------ |\n| 404         | NOT_FOUND              | Resource not found                                                                                                                        |","headers":{"X-Correlation-Id":{"name":"","in":"header","required":false,"deprecated":false,"allowEmptyValue":false,"explode":false,"allowReserved":false,"$ref":"#/components/headers/x-correlation-id"},"X-Request-Id":{"name":"","in":"header","required":false,"deprecated":false,"allowEmptyValue":false,"explode":false,"allowReserved":false,"$ref":"#/components/headers/x-request-id"}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"},"example":{"error":"test"}}}},"post_429":{"description":"An error occurred as follows:\n\n| HTTP Status | Error code             | Description                                                                                                                               |\n|-------------|------------------------|------------------------------------------------------------------------------------------------------------------------------------------ |\n| 429         | TOO_MANY_REQUESTS      | You have exceeded your application's [rate limit](https://digital.nhs.uk/developer/guides-and-documentation/reference-guide#rate-limits). |","headers":{"X-Correlation-Id":{"name":"","in":"header","required":false,"deprecated":false,"allowEmptyValue":false,"explode":false,"allowReserved":false,"$ref":"#/components/headers/x-correlation-id"},"X-Request-Id":{"name":"","in":"header","required":false,"deprecated":false,"allowEmptyValue":false,"explode":false,"allowReserved":false,"$ref":"#/components/headers/x-request-id"}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"},"example":{"resourceType":"OperationOutcome","issue":[{"severity":"Error","code":"Throttled","details":{"coding":[{"system":"https://build.fhir.org/operationoutcome.html","code":"TOO_MANY_REQUESTS","display":"You have exceeded your application's rate limit."}]}}]}}}},"post_500":{"description":"An error occurred as follows:\n\n| HTTP Status | Error code             | Description                                                                                                                               |\n|-------------|------------------------|------------------------------------------------------------------------------------------------------------------------------------------ |\n| 500         | INTERNAL_SERVER_ERROR  | Unexpected internal server error.                                                                                                                     |","headers":{"X-Correlation-Id":{"name":"","in":"header","required":false,"deprecated":false,"allowEmptyValue":false,"explode":false,"allowReserved":false,"$ref":"#/components/headers/x-correlation-id"},"X-Request-Id":{"name":"","in":"header","required":false,"deprecated":false,"allowEmptyValue":false,"explode":false,"allowReserved":false,"$ref":"#/components/headers/x-request-id"}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"},"example":{"resourceType":"OperationOutcome","issue":[{"severity":"Error","code":"Exception","details":{"coding":[{"system":"https://build.fhir.org/operationoutcome.html","code":"INTERNAL_SERVER_ERROR","display":"An unexpected internal error has occurred."}]},"diagnostics":"Any further internal debug details i.e. stack trace details etc."}]}}}},"get_notifications_data_200":{"description":"The operation completed successfully as follows:\n| HTTP Status | Code            | Description                                                                                        |\n|-------------|-----------------|--------------------------------------------------------------------------------------------------- |\n| 200         | DATA_RETRIEVED  | Notification data successfully retrieved. The list may be empty if no matching records were found. |\n","headers":{"X-Correlation-Id":{"name":"","in":"header","required":false,"deprecated":false,"allowEmptyValue":false,"explode":false,"allowReserved":false,"$ref":"#/components/headers/x-correlation-id"},"X-Request-Id":{"name":"","in":"header","required":false,"deprecated":false,"allowEmptyValue":false,"explode":false,"allowReserved":false,"$ref":"#/components/headers/x-request-id"}},"content":{"application/fhir+json":{"schema":{"$ref":"#/components/schemas/organization_bundle"},"examples":{"onePractice":{"$ref":"#/components/examples/one-practice"},"multiplePractices":{"$ref":"#/components/examples/multiple-practices"}}}}},"reduced_get_400":{"description":"An error occurred as follows:\n\n| HTTP Status | Error code             | Description                                                                                                                               |\n|-------------|------------------------|------------------------------------------------------------------------------------------------------------------------------------------ |\n| 400         | BAD_REQUEST_HEADER\t   | Header value is invalid.                                                                                                                  |","headers":{"X-Correlation-Id":{"name":"","in":"header","required":false,"deprecated":false,"allowEmptyValue":false,"explode":false,"allowReserved":false,"$ref":"#/components/headers/x-correlation-id"},"X-Request-Id":{"name":"","in":"header","required":false,"deprecated":false,"allowEmptyValue":false,"explode":false,"allowReserved":false,"$ref":"#/components/headers/x-request-id"}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"},"examples":{"Bad-Request-Headers":{"summary":"Bad Request Header","value":{"resourceType":"OperationOutcome","issue":[{"severity":"Error","code":"Element Value Invalid","details":{"coding":[{"system":"https://build.fhir.org/operationoutcome.html","code":"BAD_REQUEST_HEADER","display":"The header value is invalid."}]}}]}}}}}}},"parameters":{"id":{"name":"Id","in":"path","required":true,"deprecated":false,"allowEmptyValue":false,"explode":false,"allowReserved":false,"schema":{"type":"string","format":"uri"},"example":"550e8400-e29b-41d4-a716-446655440000"},"authorization":{"name":"authorization","in":"header","description":"An [OAuth 2.0 bearer token](https://digital.nhs.uk/developer/guides-and-documentation/security-and-authorisation#user-restricted-apis).\n\nRequired in all environments except sandbox.\n","required":true,"deprecated":false,"allowEmptyValue":false,"explode":false,"allowReserved":false,"schema":{"type":"string","format":"^Bearer\\ [[:ascii:]]+$"},"example":"Bearer g1112R_ccQ1Ebbb4gtHBP1aaaNM"},"version":{"name":"version","in":"header","required":true,"deprecated":false,"allowEmptyValue":false,"explode":false,"allowReserved":false,"schema":{"type":"string"},"example":"v1"},"parameters_x-correlation-id":{"name":"X-Correlation-Id","in":"header","description":"An optional ID which you can use to track transactions across multiple systems. It can take any value, but we recommend avoiding . characters.\n\nMirrored back in a response header.\n","required":false,"deprecated":false,"allowEmptyValue":false,"explode":false,"allowReserved":false,"schema":{"type":"string"},"example":"11C46F5F-CDEF-4865-94B2-0EE0EDCC26DA"},"parameters_x-request-id":{"name":"X-Request-Id","in":"header","description":"Must be a universally unique identifier (UUID) (ideally version 4).\n\nMirrored back in a response header.\n\nThis is a mandatory header.\n\nIf you re-send a failed request, use the same value in this header.\n","required":true,"deprecated":false,"allowEmptyValue":false,"explode":false,"allowReserved":false,"schema":{"type":"string","format":"uri"},"example":"60E0B220-8136-4CA5-AE46-1D97EF59D068"},"ods-code":{"name":"ods_code","in":"query","required":true,"deprecated":false,"allowEmptyValue":false,"explode":false,"allowReserved":false,"schema":{"type":"string","format":"uri"},"example":"Y12345"},"status":{"name":"status","in":"query","description":"An optional parameter which you can use to filter registrations by their status. It can take one or more of the following values, by including multiple status parameters, each with a different value:\n\n- Accepted\n- Rejected\n- Pending\n- Superseded\n- Auto-accepted\n\nWhen not provided, only pending registrations are returned.  When provided an empty value, no registrations are returned.\n","required":false,"deprecated":false,"allowEmptyValue":false,"explode":false,"allowReserved":false,"schema":{"type":"string","format":"Pending|Accepted|Rejected"},"example":"status=Accepted&status=Rejected"}},"examples":{"with-observations":{"summary":"With Observations","value":{"resourceType":"Bundle","type":"transaction","entry":[{"fullUrl":"urn:uuid:c6ca3f0a-2470-407d-b0f4-c3dc70ab153b","resource":{"resourceType":"Parameters","parameter":[{"name":"nhsNumber","valueString":"4857773456"},{"name":"odsCode","valueString":"Y12345"},{"name":"branchOdsCode","valueString":"Y12345001"},{"name":"registrationEncounterCode","valueString":"3"},{"name":"applicationReferenceNumber","valueString":"A12345-000001"},{"name":"timestamp","valueDateTime":"2024-05-02T12:00:52.711Z"},{"name":"status","valueString":"Submitted"},{"name":"provenance","valueString":"Patient"},{"name":"questionnaireVersion","valueString":"v1"},{"name":"previousAddress","valueAddress":{"use":"old","text":"7 Wellington Place, Leeds, LS1 4AP","line":["7 Wellington Place","Leeds"],"postalCode":"LS1 4AP","state":"England","country":"UK"}},{"name":"previousSurname","valueString":"Doe"},{"name":"previousGpName","valueString":"Y23456, GP PRACTICE NAME"},{"name":"inCatchment","valueBoolean":true},{"name":"ukEntryDate","valueString":"2026-01-20"},{"name":"dispensingPatient","valueBoolean":true},{"name":"residentialInstituteCode","valueString":"V0"},{"name":"outOfAreaScheme","valueBoolean":false}]}},{"fullUrl":"urn:uuid:93c86ad6-4a05-4033-8bb6-cc648c008b15","resource":{"resourceType":"Observation","status":"final","code":{"coding":[{"system":"http://snomed.info/sct","code":"1162419008","display":"Self reported body height (observable entity)"}]},"effectiveDateTime":"2024-05-02T12:02:58+00:00","issued":"2024-05-02T12:02:58+00:00","valueQuantity":{"value":183,"unit":"centimeters"}},"request":{"method":"POST","url":"Observation"}},{"fullUrl":"urn:uuid:93c86ad6-4a05-4033-8bb6-cc648c008b15","resource":{"resourceType":"Observation","status":"final","code":{"coding":[{"system":"http://snomed.info/sct","code":"784399000","display":"Self reported body weight (observable entity)"}]},"effectiveDateTime":"2024-05-02T12:02:58+00:00","issued":"2024-05-02T12:02:58+00:00","valueQuantity":{"value":90,"unit":"kilogram","system":"http://unitsofmeasure.org","code":"kg"}},"request":{"method":"POST","url":"Observation"}},{"fullUrl":"urn:uuid:63fdc317-27ae-4f30-97d9-0f58915fbb8c","resource":{"resourceType":"QuestionnaireResponse","meta":{"profile":["http://hl7.org/fhir/uv/sdc/StructureDefinition/sdc-questionnaireresponse|2.7"],"tag":[{"code":"lformsVersion: 33.3.4"}]},"status":"completed","authored":"2024-05-02T12:00:52.711Z","item":[{"linkId":"5564099927552","text":"Who is registering with a GP?","answer":[{"valueCoding":{"display":"Myself"}}]},{"linkId":"3099707112786","text":"Matching patient to their record","item":[{"linkId":"2673545464189","text":"What is the name of the person being registered?","item":[{"linkId":"2526886552536","text":"Title","answer":[{"valueCoding":{"system":"https://fhir.medirecords.com/CodeSystem/mr-patient-name-title-code","code":"315890000","display":"Mr"}}]},{"linkId":"8025625545792","text":"First name","answer":[{"valueString":"Omar"}]},{"linkId":"2444645364061","text":"Last Name","answer":[{"valueString":"Khan"}]}]},{"linkId":"5721234742686","text":"What is the your date of birth","answer":[{"valueDate":"1970-01-01"}]},{"linkId":"2535971200955","text":"Do you know your NHS Number?","answer":[{"valueBoolean":false}]},{"linkId":"6043124139100","text":"Are you registering with a UK GP for the first time","answer":[{"valueBoolean":true}]}]},{"linkId":"3189857950482","text":"Personal Details","item":[{"linkId":"7570130246483","text":"Do you have a current UK address","answer":[{"valueBoolean":true,"item":[{"linkId":"3834031732678","text":"What is your current UK address?","item":[{"linkId":"7091443873030","text":"House number or name (optional)","answer":[{"valueString":"7"}]},{"linkId":"5086068712017","text":"Postcode","answer":[{"valueString":"LS1 4AP"}]},{"linkId":"1187115804415","text":"Select an address","item":[{"linkId":"8052908008533","text":"Street","answer":[{"valueString":"Wellington Place"}]},{"linkId":"9119357682451","text":"Town","answer":[{"valueString":"Leeds"}]}]}]}]}]},{"linkId":"8454185457892","text":"What are your Contact Details","item":[{"linkId":"8530163235785","text":"Mobile telephone number","answer":[{"valueString":"07759121832"}]},{"linkId":"7870443952741","text":"Email","answer":[{"valueString":"omar.khan2@nhs.net"}]}]},{"linkId":"5729238155283","text":"Do you go to any of the following for your education?","answer":[{"valueCoding":{"display":"None of the above"}}]},{"linkId":"2352413897998","text":"Is anyone else involved in your care?","answer":[{"valueCoding":{"display":"None of the above"}}]},{"linkId":"3509733064094","text":"What is your sex as recorded on your NHS record?","answer":[{"valueCoding":{"system":"http://hl7.org/fhir/administrative-gender","code":"male","display":"Male"}}]},{"linkId":"4800938448822","text":"What is your ethnic group?","answer":[{"valueCoding":{"display":"Asian or Asian British"}}]},{"linkId":"9558300594974","text":"Do you need a language interpreter for your GP appointments?","answer":[{"valueBoolean":false}]},{"linkId":"5319955577563","text":"Would you like to choose or change a pharmacy for your prescriptions?","answer":[{"valueBoolean":false,"item":[{"linkId":"3216525415675","text":"Do you want to get your prescription items direct from {NAME OF SURGERY}?","answer":[{"valueBoolean":false}]}]}]},{"linkId":"3094394035878","text":"Have you ever been a member of the UK Armed Forces or are a family member registered with the Defence Medical Services?","answer":[{"valueBoolean":false}]},{"linkId":"9420407152267","text":"Do you have an emergency contact?","answer":[{"valueBoolean":false}]},{"linkId":"7951535385611","text":"Are you returning from overseas?","answer":[{"valueBoolean":false}]},{"linkId":"630742013280","text":"Have you recently moved to the UK from abroad?","answer":[{"valueBoolean":false,"item":[{"linkId":"9940642971679","text":"Do you know your chargeable status?","answer":[{"valueBoolean":true}]},{"linkId":"1651487045545","text":"Where were you born?","answer":[{"valueCoding":{"system":"http://snomed.info/sct","code":"315421000","display":"Born in England"}}]}]}]},{"linkId":"1767348738163","text":"Have you ever lived at a previous UK address?","answer":[{"valueBoolean":false}]}]},{"linkId":"7105669556528","text":"Health Questions","item":[{"linkId":"52791651942","text":"Have you got all your immunisations?","answer":[{"valueCoding":{"system":"http://terminology.hl7.org/CodeSystem/v2-0532","code":"ASKU","display":"asked but unknown"}}]},{"linkId":"6562566176631","text":"Do you have any existing or pre-existing medical conditions?","answer":[{"valueCoding":{"system":"http://terminology.hl7.org/CodeSystem/v2-0532","code":"Y","display":"Yes"},"item":[{"linkId":"4169218027019","text":"Alzheimers disease or dementia, asthma, cancer, diabetes, epilepsy, heart disease, high blood pressure, stroke, thyroid disease, other","answer":[{"valueCoding":{"system":"http://snomed.info/sct","code":"195967001","display":"Asthma"}}]}]}]},{"linkId":"6142346747594","text":"Do you have any allergies?","answer":[{"valueCoding":{"system":"http://terminology.hl7.org/CodeSystem/v2-0532","code":"N","display":"No"}}]},{"linkId":"6396554185648","text":"Do you have any mental health conditions?","answer":[{"valueCoding":{"system":"http://terminology.hl7.org/CodeSystem/v2-0532","code":"N","display":"No"}}]},{"linkId":"4702985370646","text":"Do you have any disabilities?","answer":[{"valueCoding":{"system":"http://terminology.hl7.org/CodeSystem/v2-0532","code":"N","display":"No"}}]},{"linkId":"8295392298267","text":"Do you have a carer?","answer":[{"valueCoding":{"system":"http://terminology.hl7.org/CodeSystem/v2-0532","code":"N","display":"No"}}]},{"linkId":"2716331756046","text":"Are you a carer?","answer":[{"valueCoding":{"system":"http://terminology.hl7.org/CodeSystem/v2-0532","code":"N","display":"No"}}]},{"linkId":"9937009784866","text":"Do you or your carer need to be communicated with in an accessible form?","answer":[{"valueCoding":{"system":"http://terminology.hl7.org/CodeSystem/v2-0532","code":"N","display":"No"}}]},{"linkId":"8641971664330","text":"Do you or your carer need any reasonable adjustments to make your visit to the GP surgery accessible?","answer":[{"valueCoding":{"system":"http://terminology.hl7.org/CodeSystem/v2-0532","code":"N","display":"No"}}]},{"linkId":"3663339285400","text":"Do you currently take any prescription medication?","answer":[{"valueCoding":{"system":"http://terminology.hl7.org/CodeSystem/v2-0532","code":"N","display":"No"}}]},{"linkId":"6402543436632","text":"What is your height?","answer":[{"valueQuantity":{"value":175,"unit":"centimeters"}}]},{"linkId":"3301301896866","text":"What is your weight?","answer":[{"valueQuantity":{"value":75,"unit":"kilogram","code":"kg","system":"http://unitsofmeasure.org"}}]},{"linkId":"2141293065983","text":"How often do you drink alcohol or have a drink containing alcohol?","answer":[{"valueCoding":{"system":"http://snomed.info/sct","code":"105542008","display":"Non - drinker"},"item":[{"linkId":"9335384644242","text":"How many units of alcohol do you drink on a typical day when you are drinking?","answer":[{"valueInteger":0}]},{"linkId":"31954461608","text":"How often have you had six or more units of alcohol on a single occasion in the last year?","answer":[{"valueCoding":{"display":"Never"}}]}]}]},{"linkId":"2254100394705","text":"Have you ever smoked?","answer":[{"valueCoding":{"system":"http://terminology.hl7.org/CodeSystem/v2-0532","code":"Y","display":"Yes"},"item":[{"linkId":"8799894644724","text":"What best describes you?","answer":[{"valueCoding":{"system":"http://snomed.info/sct","code":"8517006","display":"Former smoker"},"item":[{"linkId":"2343533367553","text":"When did you stop smoking?","answer":[{"valueDate":"2024-05-01"}]}]}]}]}]},{"linkId":"4270314232487","text":"Do you want important information from your GP record to be available to other health and care professionals?","answer":[{"valueCoding":{"system":"http://snomed.info/sct","code":"773031000000109","display":"Express consent for core Summary Care Record dataset upload"}}]}]}],"subject":{"reference":"Patient/null"},"questionnaire":"Questionnaire/a62f17af-1657-4375-916b-7b1363257159"},"request":{"method":"POST","url":"QuestionnaireResponse"}}]}},"without-observations":{"summary":"Without Observations","value":{"resourceType":"Bundle","type":"transaction","entry":[{"fullUrl":"urn:uuid:c6ca3f0a-2470-407d-b0f4-c3dc70ab153b","resource":{"resourceType":"Parameters","parameter":[{"name":"nhsNumber","valueString":"4857773456"},{"name":"odsCode","valueString":"Y12345"},{"name":"branchOdsCode","valueString":"Y12345001"},{"name":"registrationEncounterCode","valueString":"3"},{"name":"applicationReferenceNumber","valueString":"A12345-000001"},{"name":"timestamp","valueDateTime":"2024-05-02T12:00:52.711Z"},{"name":"status","valueString":"Submitted"},{"name":"provenance","valueString":"Patient"},{"name":"questionnaireVersion","valueString":"v1"},{"name":"previousAddress","valueAddress":{"use":"old","text":"7 Wellington Place, Leeds, LS1 4AP","line":["7 Wellington Place","Leeds"],"postalCode":"LS1 4AP","state":"England","country":"UK"}},{"name":"previousSurname","valueString":"Doe"},{"name":"previousGpName","valueString":"Y23456, GP PRACTICE NAME"},{"name":"inCatchment","valueBoolean":true},{"name":"ukEntryDate","valueString":"2026-01-20"},{"name":"dispensingPatient","valueBoolean":true},{"name":"residentialInstituteCode","valueString":"V0"},{"name":"outOfAreaScheme","valueBoolean":false}]}},{"fullUrl":"urn:uuid:63fdc317-27ae-4f30-97d9-0f58915fbb8c","resource":{"resourceType":"QuestionnaireResponse","meta":{"profile":["http://hl7.org/fhir/uv/sdc/StructureDefinition/sdc-questionnaireresponse|2.7"],"tag":[{"code":"lformsVersion: 33.3.4"}]},"status":"completed","authored":"2024-05-02T12:00:52.711Z","item":[{"linkId":"5564099927552","text":"Who is registering with a GP?","answer":[{"valueCoding":{"display":"Myself"}}]},{"linkId":"3099707112786","text":"Matching patient to their record","item":[{"linkId":"2673545464189","text":"What is the name of the person being registered?","item":[{"linkId":"2526886552536","text":"Title","answer":[{"valueCoding":{"system":"https://fhir.medirecords.com/CodeSystem/mr-patient-name-title-code","code":"315890000","display":"Mr"}}]},{"linkId":"8025625545792","text":"First name","answer":[{"valueString":"Omar"}]},{"linkId":"2444645364061","text":"Last Name","answer":[{"valueString":"Khan"}]}]},{"linkId":"5721234742686","text":"What is the your date of birth","answer":[{"valueDate":"1970-01-01"}]},{"linkId":"2535971200955","text":"Do you know your NHS Number?","answer":[{"valueBoolean":false}]},{"linkId":"6043124139100","text":"Are you registering with a UK GP for the first time","answer":[{"valueBoolean":true}]}]},{"linkId":"3189857950482","text":"Personal Details","item":[{"linkId":"7570130246483","text":"Do you have a current UK address","answer":[{"valueBoolean":true,"item":[{"linkId":"3834031732678","text":"What is your current UK address?","item":[{"linkId":"7091443873030","text":"House number or name (optional)","answer":[{"valueString":"7"}]},{"linkId":"5086068712017","text":"Postcode","answer":[{"valueString":"LS1 4AP"}]},{"linkId":"1187115804415","text":"Select an address","item":[{"linkId":"8052908008533","text":"Street","answer":[{"valueString":"Wellington Place"}]},{"linkId":"9119357682451","text":"Town","answer":[{"valueString":"Leeds"}]}]}]}]}]},{"linkId":"8454185457892","text":"What are your Contact Details","item":[{"linkId":"8530163235785","text":"Mobile telephone number","answer":[{"valueString":"07759121832"}]},{"linkId":"7870443952741","text":"Email","answer":[{"valueString":"omar.khan2@nhs.net"}]}]},{"linkId":"5729238155283","text":"Do you go to any of the following for your education?","answer":[{"valueCoding":{"display":"None of the above"}}]},{"linkId":"2352413897998","text":"Is anyone else involved in your care?","answer":[{"valueCoding":{"display":"None of the above"}}]},{"linkId":"3509733064094","text":"What is your sex as recorded on your NHS record?","answer":[{"valueCoding":{"system":"http://hl7.org/fhir/administrative-gender","code":"male","display":"Male"}}]},{"linkId":"4800938448822","text":"What is your ethnic group?","answer":[{"valueCoding":{"display":"Asian or Asian British"}}]},{"linkId":"9558300594974","text":"Do you need a language interpreter for your GP appointments?","answer":[{"valueBoolean":false}]},{"linkId":"5319955577563","text":"Would you like to choose or change a pharmacy for your prescriptions?","answer":[{"valueBoolean":false,"item":[{"linkId":"3216525415675","text":"Do you want to get your prescription items direct from {NAME OF SURGERY}?","answer":[{"valueBoolean":false}]}]}]},{"linkId":"3094394035878","text":"Have you ever been a member of the UK Armed Forces or are a family member registered with the Defence Medical Services?","answer":[{"valueBoolean":false}]},{"linkId":"9420407152267","text":"Do you have an emergency contact?","answer":[{"valueBoolean":false}]},{"linkId":"7951535385611","text":"Are you returning from overseas?","answer":[{"valueBoolean":false}]},{"linkId":"630742013280","text":"Have you recently moved to the UK from abroad?","answer":[{"valueBoolean":false,"item":[{"linkId":"9940642971679","text":"Do you know your chargeable status?","answer":[{"valueBoolean":true}]},{"linkId":"1651487045545","text":"Where were you born?","answer":[{"valueCoding":{"system":"http://snomed.info/sct","code":"315421000","display":"Born in England"}}]}]}]},{"linkId":"1767348738163","text":"Have you ever lived at a previous UK address?","answer":[{"valueBoolean":false}]}]},{"linkId":"7105669556528","text":"Health Questions","item":[{"linkId":"52791651942","text":"Have you got all your immunisations?","answer":[{"valueCoding":{"system":"http://terminology.hl7.org/CodeSystem/v2-0532","code":"ASKU","display":"asked but unknown"}}]},{"linkId":"6562566176631","text":"Do you have any existing or pre-existing medical conditions?","answer":[{"valueCoding":{"system":"http://terminology.hl7.org/CodeSystem/v2-0532","code":"Y","display":"Yes"},"item":[{"linkId":"4169218027019","text":"Alzheimers disease or dementia, asthma, cancer, diabetes, epilepsy, heart disease, high blood pressure, stroke, thyroid disease, other","answer":[{"valueCoding":{"system":"http://snomed.info/sct","code":"195967001","display":"Asthma"}}]}]}]},{"linkId":"6142346747594","text":"Do you have any allergies?","answer":[{"valueCoding":{"system":"http://terminology.hl7.org/CodeSystem/v2-0532","code":"N","display":"No"}}]},{"linkId":"6396554185648","text":"Do you have any mental health conditions?","answer":[{"valueCoding":{"system":"http://terminology.hl7.org/CodeSystem/v2-0532","code":"N","display":"No"}}]},{"linkId":"4702985370646","text":"Do you have any disabilities?","answer":[{"valueCoding":{"system":"http://terminology.hl7.org/CodeSystem/v2-0532","code":"N","display":"No"}}]},{"linkId":"8295392298267","text":"Do you have a carer?","answer":[{"valueCoding":{"system":"http://terminology.hl7.org/CodeSystem/v2-0532","code":"N","display":"No"}}]},{"linkId":"2716331756046","text":"Are you a carer?","answer":[{"valueCoding":{"system":"http://terminology.hl7.org/CodeSystem/v2-0532","code":"N","display":"No"}}]},{"linkId":"9937009784866","text":"Do you or your carer need to be communicated with in an accessible form?","answer":[{"valueCoding":{"system":"http://terminology.hl7.org/CodeSystem/v2-0532","code":"N","display":"No"}}]},{"linkId":"8641971664330","text":"Do you or your carer need any reasonable adjustments to make your visit to the GP surgery accessible?","answer":[{"valueCoding":{"system":"http://terminology.hl7.org/CodeSystem/v2-0532","code":"N","display":"No"}}]},{"linkId":"3663339285400","text":"Do you currently take any prescription medication?","answer":[{"valueCoding":{"system":"http://terminology.hl7.org/CodeSystem/v2-0532","code":"N","display":"No"}}]},{"linkId":"6402543436632","text":"What is your height?","answer":[{"valueQuantity":{"value":175,"unit":"centimeters"}}]},{"linkId":"3301301896866","text":"What is your weight?","answer":[{"valueQuantity":{"value":75,"unit":"kilogram","code":"kg","system":"http://unitsofmeasure.org"}}]},{"linkId":"2141293065983","text":"How often do you drink alcohol or have a drink containing alcohol?","answer":[{"valueCoding":{"system":"http://snomed.info/sct","code":"105542008","display":"Non - drinker"},"item":[{"linkId":"9335384644242","text":"How many units of alcohol do you drink on a typical day when you are drinking?","answer":[{"valueInteger":0}]},{"linkId":"31954461608","text":"How often have you had six or more units of alcohol on a single occasion in the last year?","answer":[{"valueCoding":{"display":"Never"}}]}]}]},{"linkId":"2254100394705","text":"Have you ever smoked?","answer":[{"valueCoding":{"system":"http://terminology.hl7.org/CodeSystem/v2-0532","code":"Y","display":"Yes"},"item":[{"linkId":"8799894644724","text":"What best describes you?","answer":[{"valueCoding":{"system":"http://snomed.info/sct","code":"8517006","display":"Former smoker"},"item":[{"linkId":"2343533367553","text":"When did you stop smoking?","answer":[{"valueDate":"2024-05-01"}]}]}]}]}]},{"linkId":"4270314232487","text":"Do you want important information from your GP record to be available to other health and care professionals?","answer":[{"valueCoding":{"system":"http://snomed.info/sct","code":"773031000000109","display":"Express consent for core Summary Care Record dataset upload"}}]}]}],"subject":{"reference":"Patient/null"},"questionnaire":"Questionnaire/a62f17af-1657-4375-916b-7b1363257159"},"request":{"method":"POST","url":"QuestionnaireResponse"}}]}},"application-superseded":{"summary":"Application Superseded","value":{"resourceType":"Bundle","type":"transaction","entry":[{"fullUrl":"urn:uuid:c6ca3f0a-2470-407d-b0f4-c3dc70ab153b","resource":{"resourceType":"Parameters","parameter":[{"name":"nhsNumber","valueString":"4857773456"},{"name":"odsCode","valueString":"Y12345"},{"name":"registrationEncounterCode","valueString":"3"},{"name":"applicationReferenceNumber","valueString":"A12345-000001"},{"name":"timestamp","valueDateTime":"2024-05-02T12:00:52.711Z"},{"name":"status","valueString":"Superseded"},{"name":"provenance","valueString":"Patient"}]}}]}},"accepted":{"summary":"Registration Accepted","value":{"resourceType":"Parameters","parameter":[{"name":"operation","part":[{"name":"type","valueCode":"replace"},{"name":"path","valueString":"status"},{"name":"value","valueString":"Accepted"}]},{"name":"operation","part":[{"name":"type","valueCode":"add"},{"name":"path","valueString":"decisionMaker"},{"name":"value","valueString":"John Smith Dr"}]}]}},"rejected":{"summary":"Registration Rejected","value":{"resourceType":"Parameters","parameter":[{"name":"operation","part":[{"name":"type","valueCode":"replace"},{"name":"path","valueString":"status"},{"name":"value","valueString":"Rejected"}]},{"name":"operation","part":[{"name":"type","valueCode":"replace"},{"name":"path","valueString":"rejectReason"},{"name":"value","valueString":"out-of-catchment"}]},{"name":"operation","part":[{"name":"type","valueCode":"add"},{"name":"path","valueString":"decisionMaker"},{"name":"value","valueString":"John Smith Dr"}]}]}},"one-registration":{"summary":"One registration","value":{"resourceType":"Bundle","type":"searchset","total":1,"link":[{"relation":"self","url":"http://api/applications?ods_code=Y12345","extension":[{"url":"http://example.org/fhir/extension/accepted-count","valueInteger":0},{"url":"http://example.org/fhir/extension/rejected-count","valueInteger":0},{"url":"http://example.org/fhir/extension/pending-count","valueInteger":1}]}],"entry":[{"resourceType":"Bundle","type":"transaction","identifier":{"system":"urn:ietf:rfc:3986","value":"urn:uuid:ab8ad827-5dd8-4343-9274-403460625afc"},"search":{"mode":"match"},"entry":[{"fullUrl":"urn:uuid:c6ca3f0a-2470-407d-b0f4-c3dc70ab153b","resource":{"resourceType":"Parameters","parameter":[{"name":"nhsNumber","valueString":"1111111111"},{"name":"odsCode","valueString":"Y12345"},{"name":"registrationEncounterCode","valueString":"3"},{"name":"applicationReferenceNumber","valueString":"A12345-000001"},{"name":"timestamp","valueDateTime":"2024-05-02T12:00:52.711Z"},{"name":"status","valueString":"Submitted"},{"name":"provenance","valueString":"Patient"},{"name":"questionnaireVersion","valueString":"v1"}]}},{"fullUrl":"urn:uuid:93c86ad6-4a05-4033-8bb6-cc648c008b15","resource":{"resourceType":"Observation","status":"final","code":{"coding":[{"system":"http://snomed.info/sct","code":"1162419008","display":"Self reported body height (observable entity)"}]},"effectiveDateTime":"2024-05-02T12:02:58+00:00","issued":"2024-05-02T12:02:58+00:00","valueQuantity":{"value":183,"unit":"centimeters"}},"request":{"method":"POST","url":"Observation"}},{"fullUrl":"urn:uuid:93c86ad6-4a05-4033-8bb6-cc648c008b15","resource":{"resourceType":"Observation","status":"final","code":{"coding":[{"system":"http://snomed.info/sct","code":"784399000","display":"Self reported body weight (observable entity)"}]},"effectiveDateTime":"2024-05-02T12:02:58+00:00","issued":"2024-05-02T12:02:58+00:00","valueQuantity":{"value":90,"unit":"kilogram","system":"http://unitsofmeasure.org","code":"kg"}},"request":{"method":"POST","url":"Observation"}},{"fullUrl":"urn:uuid:63fdc317-27ae-4f30-97d9-0f58915fbb8c","resource":{"resourceType":"QuestionnaireResponse","meta":{"profile":["http://hl7.org/fhir/uv/sdc/StructureDefinition/sdc-questionnaireresponse|2.7"],"tag":[{"code":"lformsVersion: 33.3.4"}]},"status":"completed","authored":"2024-05-02T12:00:52.711Z","item":[{"linkId":"5564099927552","text":"Who is registering with a GP?","answer":[{"valueCoding":{"display":"Myself"}}]},{"linkId":"3099707112786","text":"Matching patient to their record","item":[{"linkId":"2673545464189","text":"What is the name of the person being registered?","item":[{"linkId":"2526886552536","text":"Title","answer":[{"valueCoding":{"system":"https://fhir.medirecords.com/CodeSystem/mr-patient-name-title-code","code":"315890000","display":"Mr"}}]},{"linkId":"8025625545792","text":"First name","answer":[{"valueString":"Omar"}]},{"linkId":"2444645364061","text":"Last Name","answer":[{"valueString":"Khan"}]}]},{"linkId":"5721234742686","text":"What is the your date of birth","answer":[{"valueDate":"1970-01-01"}]},{"linkId":"2535971200955","text":"Do you know your NHS Number?","answer":[{"valueBoolean":false}]},{"linkId":"6043124139100","text":"Are you registering with a UK GP for the first time","answer":[{"valueBoolean":true}]}]},{"linkId":"3189857950482","text":"Personal Details","item":[{"linkId":"7570130246483","text":"Do you have a current UK address","answer":[{"valueBoolean":true,"item":[{"linkId":"3834031732678","text":"What is your current UK address?","item":[{"linkId":"7091443873030","text":"House number or name (optional)","answer":[{"valueString":"7"}]},{"linkId":"5086068712017","text":"Postcode","answer":[{"valueString":"LS1 4AP"}]},{"linkId":"1187115804415","text":"Select an address","item":[{"linkId":"8052908008533","text":"Street","answer":[{"valueString":"Wellington Place"}]},{"linkId":"9119357682451","text":"Town","answer":[{"valueString":"Leeds"}]}]}]}]}]},{"linkId":"8454185457892","text":"What are your Contact Details","item":[{"linkId":"8530163235785","text":"Mobile telephone number","answer":[{"valueString":"07759121832"}]},{"linkId":"7870443952741","text":"Email","answer":[{"valueString":"omar.khan2@nhs.net"}]}]},{"linkId":"5729238155283","text":"Do you go to any of the following for your education?","answer":[{"valueCoding":{"display":"None of the above"}}]},{"linkId":"2352413897998","text":"Is anyone else involved in your care?","answer":[{"valueCoding":{"display":"None of the above"}}]},{"linkId":"3509733064094","text":"What is your sex as recorded on your NHS record?","answer":[{"valueCoding":{"system":"http://hl7.org/fhir/administrative-gender","code":"male","display":"Male"}}]},{"linkId":"4800938448822","text":"What is your ethnic group?","answer":[{"valueCoding":{"display":"Asian or Asian British"}}]},{"linkId":"9558300594974","text":"Do you need a language interpreter for your GP appointments?","answer":[{"valueBoolean":false}]},{"linkId":"5319955577563","text":"Would you like to choose or change a pharmacy for your prescriptions?","answer":[{"valueBoolean":false,"item":[{"linkId":"3216525415675","text":"Do you want to get your prescription items direct from {NAME OF SURGERY}?","answer":[{"valueBoolean":false}]}]}]},{"linkId":"3094394035878","text":"Have you ever been a member of the UK Armed Forces or are a family member registered with the Defence Medical Services?","answer":[{"valueBoolean":false}]},{"linkId":"9420407152267","text":"Do you have an emergency contact?","answer":[{"valueBoolean":false}]},{"linkId":"7951535385611","text":"Are you returning from overseas?","answer":[{"valueBoolean":false}]},{"linkId":"630742013280","text":"Have you recently moved to the UK from abroad?","answer":[{"valueBoolean":false,"item":[{"linkId":"9940642971679","text":"Do you know your chargeable status?","answer":[{"valueBoolean":true}]},{"linkId":"1651487045545","text":"Where were you born?","answer":[{"valueCoding":{"system":"http://snomed.info/sct","code":"315421000","display":"Born in England"}}]}]}]},{"linkId":"1767348738163","text":"Have you ever lived at a previous UK address?","answer":[{"valueBoolean":false}]}]},{"linkId":"7105669556528","text":"Health Questions","item":[{"linkId":"52791651942","text":"Have you got all your immunisations?","answer":[{"valueCoding":{"system":"http://terminology.hl7.org/CodeSystem/v2-0532","code":"ASKU","display":"asked but unknown"}}]},{"linkId":"6562566176631","text":"Do you have any existing or pre-existing medical conditions?","answer":[{"valueCoding":{"system":"http://terminology.hl7.org/CodeSystem/v2-0532","code":"Y","display":"Yes"},"item":[{"linkId":"4169218027019","text":"Alzheimers disease or dementia, asthma, cancer, diabetes, epilepsy, heart disease, high blood pressure, stroke, thyroid disease, other","answer":[{"valueCoding":{"system":"http://snomed.info/sct","code":"195967001","display":"Asthma"}}]}]}]},{"linkId":"6142346747594","text":"Do you have any allergies?","answer":[{"valueCoding":{"system":"http://terminology.hl7.org/CodeSystem/v2-0532","code":"N","display":"No"}}]},{"linkId":"6396554185648","text":"Do you have any mental health conditions?","answer":[{"valueCoding":{"system":"http://terminology.hl7.org/CodeSystem/v2-0532","code":"N","display":"No"}}]},{"linkId":"4702985370646","text":"Do you have any disabilities?","answer":[{"valueCoding":{"system":"http://terminology.hl7.org/CodeSystem/v2-0532","code":"N","display":"No"}}]},{"linkId":"8295392298267","text":"Do you have a carer?","answer":[{"valueCoding":{"system":"http://terminology.hl7.org/CodeSystem/v2-0532","code":"N","display":"No"}}]},{"linkId":"2716331756046","text":"Are you a carer?","answer":[{"valueCoding":{"system":"http://terminology.hl7.org/CodeSystem/v2-0532","code":"N","display":"No"}}]},{"linkId":"9937009784866","text":"Do you or your carer need to be communicated with in an accessible form?","answer":[{"valueCoding":{"system":"http://terminology.hl7.org/CodeSystem/v2-0532","code":"N","display":"No"}}]},{"linkId":"8641971664330","text":"Do you or your carer need any reasonable adjustments to make your visit to the GP surgery accessible?","answer":[{"valueCoding":{"system":"http://terminology.hl7.org/CodeSystem/v2-0532","code":"N","display":"No"}}]},{"linkId":"3663339285400","text":"Do you currently take any prescription medication?","answer":[{"valueCoding":{"system":"http://terminology.hl7.org/CodeSystem/v2-0532","code":"N","display":"No"}}]},{"linkId":"6402543436632","text":"What is your height?","answer":[{"valueQuantity":{"value":175,"unit":"centimeters"}}]},{"linkId":"3301301896866","text":"What is your weight?","answer":[{"valueQuantity":{"value":75,"unit":"kilogram","code":"kg","system":"http://unitsofmeasure.org"}}]},{"linkId":"2141293065983","text":"How often do you drink alcohol or have a drink containing 
[...]
